Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.providers.query.mql
Class HqlLexer

    java.lang.Object
      antlr.CharScanner
          org.makumba.providers.query.mql.HqlBaseLexer
              org.makumba.providers.query.mql.HqlLexer

All Implemented Interfaces:
  antlr.TokenStream, HqlTokenTypes

     class HqlLexer

extends HqlBaseLexer

Custom lexer for the HQL grammar. Extends the base lexer generated by ANTLR in order to keep the grammar source file clean.

Field Summary

Fields inherited from class org.makumba.providers.query.mql.HqlBaseLexer
`_tokenSet_0, _tokenSet_1, _tokenSet_2, _tokenSet_3, _tokenSet_4`

Fields inherited from class antlr.CharScanner
`_returnToken, caseSensitive, caseSensitiveLiterals, commitToPath, EOF_CHAR, hashString, inputState, literals, saveConsumedInput, tabsize, text, tokenObjectClass, traceDepth`

Fields inherited from interface org.makumba.providers.query.mql.HqlTokenTypes
`AGGREGATE, ALIAS, ALL, AND, ANY, AS, ASCENDING, AVG, BETWEEN, BOTH, CASE, CASE2, CLASS, CLOSE, CLOSE_BRACKET, COLON, COMMA, CONCAT, CONSTANT, CONSTRUCTOR, COUNT, DELETE, DESCENDING, DISTINCT, DIV, DOT, ELEMENTS, ELSE, EMPTY, END, EOF, EQ, ESCAPE, ESCqs, EXISTS, EXPONENT, EXPR_LIST, FALSE, FETCH, FILTER_ENTITY, FLOAT_SUFFIX, FROM, FULL, GE, GROUP, GT, HAVING, HEX_DIGIT, ID_LETTER, ID_START_LETTER, IDENT, IN, IN_LIST, INDEX_OP, INDICES, INNER, INSERT, INTO, IS, IS_NOT_NULL, IS_NULL, JAVA_CONSTANT, JOIN, LE, LEADING, LEFT, LIKE, LITERAL_ascending, LITERAL_by, LITERAL_descending, LT, MAX, MEMBER, METHOD_CALL, MIN, MINUS, NE, NEW, NOT, NOT_BETWEEN, NOT_IN, NOT_LIKE, NULL, NULL_TREE_LOOKAHEAD, NUM_DOUBLE, NUM_FLOAT, NUM_INT, NUM_LONG, OBJECT, OF, ON, OPEN, OPEN_BRACKET, OR, ORDER, ORDER_ELEMENT, OUTER, PARAM, PLUS, PROPERTIES, QUERY, QUOTED_STRING, RANGE, RIGHT, ROW_STAR, SELECT, SELECT_FROM, SET, SOME, SQL_NE, STAR, SUM, THEN, TRAILING, TRUE, UNARY_MINUS, UNARY_PLUS, UNION, UPDATE, VECTOR_EXPR, VERSIONED, WEIRD_IDENT, WHEN, WHERE, WITH, WS`

Constructor Summary
`HqlLexer(InputStream in)`
`HqlLexer(Reader in)`

Method Summary
`protected antlr.Token` | `makeToken(int i)`
`void` | `panic()`
`void` | `panic(String s)`
`protected void` | `setPossibleID(boolean possibleID)`
`void` | `setTokenObjectClass(String cl)`
`int` | `testLiteralsTable(int i)`

Methods inherited from class org.makumba.providers.query.mql.HqlBaseLexer
`mCLOSE_BRACKET, mCLOSE, mCOLON, mCOMMA, mCONCAT, mDIV, mEQ, mESCqs, mEXPONENT, mFLOAT_SUFFIX, mGE, mGT, mHEX_DIGIT, mID_LETTER, mID_START_LETTER, mIDENT, mLE, mLT, mMINUS, mNE, mNUM_INT, mOPEN_BRACKET, mOPEN, mPARAM, mPLUS, mQUOTED_STRING, mSQL_NE, mSTAR, mWS, nextToken`

Methods inherited from class antlr.CharScanner
`append, append, commit, consume, consumeUntil, consumeUntil, getCaseSensitive, getCaseSensitiveLiterals, getColumn, getCommitToPath, getFilename, getInputBuffer, getInputState, getLine, getTabSize, getText, getTokenObject, LA, mark, match, match, match, matchNot, matchRange, newline, reportError, reportError, reportWarning, resetText, rewind, setCaseSensitive, setColumn, setCommitToPath, setFilename, setInputState, setLine, setTabSize, setText, tab, testLiteralsTable, toLower, traceIn, traceIndent, traceOut, uponEOF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HqlLexer

    public HqlLexer(InputStream in)

### HqlLexer

    public HqlLexer(Reader in)

Method Detail

### setTokenObjectClass

    public void setTokenObjectClass(String cl)

  Overrides:
    `setTokenObjectClass` in class `antlr.CharScanner`

### setPossibleID

    protected void setPossibleID(boolean possibleID)

  Overrides:
    `setPossibleID` in class `HqlBaseLexer`

### makeToken

    protected antlr.Token makeToken(int i)

  Overrides:
    `makeToken` in class `antlr.CharScanner`

### testLiteralsTable

    public int testLiteralsTable(int i)

  Overrides:
    `testLiteralsTable` in class `antlr.CharScanner`

### panic

    public void panic()

  Overrides:
    `panic` in class `antlr.CharScanner`

### panic

    public void panic(String s)

  Overrides:
    `panic` in class `antlr.CharScanner`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20